# List budget members

A budget member is a user who has been invited to a budget.

Endpoint: GET /v1/businesses/{client_id}/budgets/{budget_id}/members
Version: v1
Security: BearerAuth

## Path parameters:

  - `client_id` (integer, required)
    The ID of the business.
    Example: 123

  - `budget_id` (string, required)
    The ID of the budget.

## Query parameters:

  - `offset` (integer)
    Offset to retrieve items from.
    Example: 50

  - `limit` (integer)
    Number of items per page.
    Example: 50

  - `is_deleted` (boolean)
    Whether the resource is deleted.

  - `user_id` (integer)
    The ID of the user to filter by.
    Example: 123

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of budget members that match the query.
    Example: 100

  - `next` (string)
    The URL to the next page of budget members.
    Example: "offset=50&limit=50"

  - `previous` (string)
    The URL to the previous page of budget members.
    Example: "offset=0&limit=50"

  - `results` (array)

  - `results.id` (string)
    The ID of the budget member.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `results.user` (object,null)
    The user for the budget member. Only present if the user has accepted their invite to Weel.

  - `results.user.id` (integer)
    The ID of the user.
    Example: 123

  - `results.user.first_name` (string)
    The first name of the user.
    Example: "John"

  - `results.user.last_name` (string)
    The last name of the user.
    Example: "Doe"

  - `results.user.name` (string)
    The full name of the user or the display name if the user has set one.
    Example: "John Doe"

  - `results.invite` (object,null)
    The invite for the budget member. Only present if the user has not  accepted their invite to Weel.

  - `results.invite.id` (string)
    The ID of the invite.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `results.invite.email` (string)
    The email of the invite.
    Example: "john.doe@example.com"

  - `results.available_amount` (number)
    The available amount of the budget member.
    Example: 800

  - `results.spent_amount` (number)
    The amount of the budget that has been spent by the budget member.
    Example: 200

  - `results.reset_amount` (number)
    The reset amount of the budget member.
    Example: 1000

  - `results.is_deleted` (boolean)
    Whether the budget member is deleted.

  - `results.created` (string)
    The date and time when the budget member was created in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `results.updated` (string)
    The date and time when the budget member was last updated in UTC.
    Example: "2024-01-01T00:00:00Z"


## Response 401 fields

## Response 403 fields
